CREATE TABLE fun_qrtz_trigger_listeners (
    TRIGGER_NAME             VARCHAR2(1024),
    TRIGGER_GROUP            VARCHAR2(320) ,
    TRIGGER_LISTENER         VARCHAR2(320) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    TRIGGER_NAME             VARCHAR2(1024),
    TRIGGER_GROUP            VARCHAR2(320) ,
    TRIGGER_LISTENER         VARCHAR2(320) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CONSTRAINT pk_fun_qrtz_trigger_listeners PRIMARY KEY (TRIGGER_NAME, TRIGGER_GROUP, TRIGGER_LISTENER, TRIGGER_NAME, TRIGGER_GROUP, TRIGGER_LISTENER)
);
